<?php
/**
 * The browse view file of company module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      chujilu <chujilu@cnezsoft.com>
 * @package     company
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<?php include '../../common/view/header.html.php';?>
<?php js::set('message', $lang->company->$type->input);?>
<div id='menuActions'>
  <?php if(commonModel::hasPriv($type, 'import')):?>
  <div class='btn-group'>
    <button class='btn btn-primary dropdown-toggle' data-toggle='dropdown'><i class='icon-upload-alt'></i> <?php echo $lang->import;?></button>
    <ul class='dropdown-menu' role='menu'>
      <li><?php echo html::a(inlink('import'), $lang->importData, "data-toggle='modal'");?></li>
      <li><?php echo html::a(inlink('exportTemplate'), $lang->exportTemplate);?></li>
    </ul>
  </div>
  <?php endif;?>
  <?php
    commonModel::printLink($type, 'exportCompany', '', "<i class='icon-download-alt'></i> " . $lang->export, "class='btn btn-primary export' data-toggle='modal'");
    commonModel::printLink($type, 'create', '', "<i class='icon-plus'></i> " . $lang->company->$type->create, "class='btn btn-primary'");
    commonModel::printLink($type, 'batchCreate', '', "<i class='icon-plus-sign'></i> " . $lang->batchCreate, "class='btn btn-primary'");
  ?>
  <form method='post' class='form-inline form-search pull-right'>
    <div class="input-group">
      <?php echo html::input('value', '', "class='form-control search-query' placeholder='{$lang->company->$type->input}'");?>
      <span class="input-group-btn">
        <?php echo html::a('#', "<i class='icon icon-search'> </i>" . $lang->search, "class='btn btn-primary searchBtn'");?>
      </span>
    </div>
  </form>
</div>
<div class='panel'>
  <form id='browseForm' method='post'>
    <table class='table table-condensed table-hover table-striped tablesorter'>
      <thead>
        <tr>
          <?php $vars = "orderBy=%s&recTotal={$pager->recTotal}&recPerPage={$pager->recPerPage}&pageID={$pager->pageID}";?>
          <th class='w-70px' ><?php commonModel::printOrderLink('id',           $orderBy, $vars, $lang->id);?></th>
          <th class='w-150px'><?php commonModel::printOrderLink('name',         $orderBy, $vars, $lang->company->name);?></th>
          <th class='w-80px' ><?php echo $lang->contact->common;?></th>
          <th class='w-110px'><?php commonModel::printOrderLink('companyPhone', $orderBy, $vars, $lang->company->companyPhone);?></th>
          <th class='w-110px'><?php commonModel::printOrderLink('companyFax',   $orderBy, $vars, $lang->company->companyFax);?></th>
          <th class='w-200px'><?php echo $lang->company->businessAddress;?></th>
          <th class='w-110px text-center'><?php echo $lang->actions;?></th>
        </tr>
      </thead>
      <tbody>
        <?php foreach($companies as $company):?>
        <tr>
          <td>
            <?php echo html::checkbox("companyIDList", array($company->id => $company->id), '', "class='checkbox-choose'");?>
          </td>
          <?php $companyName = $company->fullName == '' ? $company->companyName : $company->fullName;?>
          <td><?php if(!commonModel::printLink($company->type, 'detail', "id={$company->id}", $companyName)) echo $companyName;?></td>
          <td><?php echo $company->contact;?></td>
          <td><?php echo $company->companyPhone;?></td>
          <td><?php echo $company->companyFax;?></td>
          <td><?php echo $company->businessAddress;?></td>
          <td class='text-center'>
            <?php 
              if(!commonModel::printLink($company->type, 'contact', "id={$company->id}", $lang->contact->common, "data-toggle='modal'")) echo html::a('#', $lang->contact->common, "class='disabled' disabled='disabled'");
              if(!commonModel::printLink($company->type, 'detail', "id={$company->id}", $lang->detail)) echo html::a('#', $lang->detail, "class='disabled' disabled='disabled'");
              if(!commonModel::printLink($company->type, 'edit', "id={$company->id}", $lang->edit)) echo html::a('#', $lang->edit, "class='disabled' disabled='disabled'");
              if(!commonModel::printLink($company->type, 'delete', "id={$company->id}", $lang->delete, "class='deleter'")) echo html::a('#', $lang->delete, "class='disabled' disabled='disabled'");
            ?>
          </td>
        </tr>
        <?php endforeach;?>
      </tbody>
      <tfoot>
        <tr>
          <td colspan='9'>
            <div class='btn-group'>
              <a class='btn' href='javascript:checkAll()'><?php echo $lang->selectAll;?></a>
              <a class='btn' href='javascript:checkReverse()'><?php echo $lang->selectReverse;?></a>
            </div>
            <div class='btn-group'>
              <?php if(commonModel::hasPriv($type, 'batchEdit')):?>
              <button class='btn' onclick="setFormAction('<?php echo inlink('batchEdit');?>', 'edit')">
                <?php echo $lang->edit;?>
              </button>
              <?php endif;?>
              <div class='btn-group'>
                <button class='btn dropdown-toggle' data-toggle='dropdown'><i class='icon-caret-down'></i></button>
                <?php if(commonModel::hasPriv($type, 'batchDelete')):?>
                <ul class='dropdown-menu' role='menu'>
                  <li>
                    <?php 
                        $link = "setFormAction('" . inlink('batchDelete') . "', 'delete')";
                        echo html::a('#', $lang->delete, "onclick=\"$link\"");
                    ?>
                  </li>
                </ul>        
                <?php endif;?>
              </div>
            </div>
            <?php $pager->show();?>
          </td>
        </tr>
      </tfoot>
    </table>
  </form>
</div>
<?php js::set('type', $type);?>
<?php include '../../common/view/footer.html.php';?>
