<?php
/**
 * The detail view file of company module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      chujilu <chujilu@cnezsoft.com>
 * @package     company
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<?php include '../../common/view/header.html.php';?>
<?php js::set('type', $company->type);?>
<div class='row'>
  <div class='col-md-8'>
    <?php $saleBrowsePriv = commonModel::hasPriv('sale', 'browse');?>
    <?php $buyBrowsePriv  = commonModel::hasPriv('buy', 'browse');?>
    <?php if($saleBrowsePriv || $buyBrowsePriv):?>
    <div class='panel'>
      <div class='panel-heading'><strong><i class='icon-list-info'></i> <?php echo $lang->order->browse;?></strong></div>
      <table class='table table-hover table-condensed table-striped'>
        <thead>
          <tr class='text-center'>
            <th class='w-120px'><?php echo $lang->order->type;?></th>
            <th class='w-120px'><?php echo $lang->order->orderNo;?></th>
            <th class='w-80px' ><?php echo $lang->order->createdBy;?></th>
            <th class='w-120px'><?php echo $lang->order->createdDate;?></th>
            <th class='w-120px'><?php echo $lang->order->finishedDate;?></th>
            <th class='w-120px'><?php echo $lang->order->money;?></th>
            <th class='w-120px'><?php echo $lang->order->status;?></th>
          </tr>
        </thead>
        <?php foreach($orders as $order):?>
        <?php if((($order->type == 'sale' || $order->type == 'saleRefund') && $saleBrowsePriv) || (($order->type == 'buy' || $order->type == 'buyRefund') && $buyBrowsePriv)):?>
        <tr class='text-center'>
          <td><?php echo $lang->order->typeList[$order->type];?></td>
          <td><?php if(!commonModel::printLink(str_replace('Refund', '', $order->type), 'detail', "id={$order->id}&status=all", $order->orderNo)) echo $order->orderNo;?></td>
          <td><?php echo zget($users, $order->createdBy);?></td>
          <td><?php echo formatTime($order->createdDate, DT_DATE4);?></td>
          <td><?php echo formatTime($order->finishedDate, DT_DATE4);?></td>
          <td><?php echo $order->money;?></td>
          <td><?php echo zget($lang->order->statusList, $order->status, ' ');?></td>
        </tr>
        <?php endif;?>
        <?php endforeach ;?>
      </table>
    </div>
    <?php endif;?>
    <div class='history'>
    <?php include '../../common/view/action.html.php';?>
    </div>
    <div class='page-actions'>
      <?php 
        if(!commonModel::printLink($company->type, 'edit', "id={$company->id}", $lang->edit, "class='btn'")) echo html::a('#', $lang->edit, "class='btn' disabled='disabled'");
        if(!commonModel::printLink($company->type, 'delete', "id={$company->id}", $lang->delete, "class='deleter btn'")) echo html::a('#', $lang->delete, "class='btn' disabled='disabled'");
        echo html::backButton();
      ?>
    </div>
  </div>
  <div class='col-md-4'>
    <div class='panel'>
      <div class='panel-heading'><strong><i class='icon-list-info'></i> <?php echo $lang->company->editSelf;?></strong></div>
      <div class='panel-body'>
        <table class='table table-info'>
          <tr>
            <th class='w-80px'><?php echo $lang->company->fullName;?></th>
            <td><?php echo $company->fullName;?></td>
          </tr>
          <tr>
            <th><?php echo $lang->company->companyName;?></th>
            <td><?php echo $company->companyName;?></td>
          </tr>
          <tr>
            <th><?php echo $lang->company->companyPhone;?></th>
            <td><?php echo $company->companyPhone;?></td>
          </tr>
          <tr>
            <th><?php echo $lang->company->companyFax;?></th>
            <td><?php echo $company->companyFax;?></td>
          </tr>
          <tr>
            <th><?php echo $lang->company->businessAddress;?></th>
            <td><?php echo $company->businessAddress;?></td>
          </tr>
          <tr>
            <th><?php echo $lang->company->registeredAddress;?></th>
            <td><?php echo $company->registeredAddress;?></td>
          </tr>
          <tr>
            <th><?php echo $lang->company->juristicPerson;?></th>
            <td><?php echo $company->juristicPerson;?></td>
          </tr>
          <tr>
            <th><?php echo $lang->company->taxNumber;?></th>
            <td><?php echo $company->taxNumber;?></td>
          </tr>
          <tr>
            <th><?php echo $lang->company->bank;?></th>
            <td><?php echo $company->bank;?></td>
          </tr>
          <tr>
            <th><?php echo $lang->company->account;?></th>
            <td><?php echo $company->account;?></td>
          </tr>
          <tr>
            <th><?php echo $lang->company->companyWeixin;?></th>
            <td><?php echo $company->companyWeixin;?></td>
          </tr>
          <tr>
            <th><?php echo $lang->company->companyWeibo;?></th>
            <td><?php echo html::a($company->companyWeibo, $company->companyWeibo);?></td>
          </tr>
          <tr>
            <th><?php echo $lang->company->companySite;?></th>
            <td><?php echo html::a($company->companySite, $company->companySite);?></td>
          </tr>
          <tr>
            <th><?php echo $lang->desc;?></th>
            <td><?php echo $company->desc;?></td>
          </tr>
        </table>
      </div>
    </div>
    <?php if(commonModel::hasPriv($company->type, 'contact')):?>
    <?php foreach($contacts as $contact):?>
    <div class='panel'>
      <table class='table table-contact'>
        <tr>
          <th class='w-120px text-center alert'>
            <span class='lead'>
              <?php echo html::a(inlink('contactdetail', "id={$contact->id}"), $contact->name, "data-toggle='modal'");?>
            </span>
          </th>
          <td>
            <div class='pull-right'> <i class='btn-vcard icon-qrcode icon-large text-info'></i> </div>
            <div class='contact-info'>
              <?php if($contact->title): ?>
              <div><i class='icon-user'></i> <?php echo $contact->title;?></div>
              <?php endif ;?>
              <?php if($contact->phone): ?>
              <div><i class='icon-phone-sign'></i> <?php echo $contact->phone;?></div>
              <?php endif ;?>
              <?php if($contact->qq): ?>
              <div><i class='icon-qq'></i> <?php echo html::a("http://wpa.qq.com/msgrd?v=3&uin={$contact->qq}&site=&menu=yes", $contact->qq)?></div>   
              <?php endif ;?>
              <?php if($contact->email): ?>
              <div><i class='icon-envelope-alt'></i> <?php echo html::a("mailto:{$contact->email}", $contact->email)?></div>
              <?php endif ;?>
              <?php if($contact->address): ?>
              <div><i class='icon-building'></i> <?php echo $contact->address;?></div>   
              <?php endif ;?>
            </div>
            <p class='vcard text-center'><img src="<?php echo inlink('vcard', "id={$contact->id}");?>" style='height:120px'/></p>
          </td>
        </tr>
      </table>
    </div>
    <?php endforeach;?>
    <?php endif;?>
  </div>
</div>
<?php include '../../common/view/footer.html.php';?>
