<?php 
/**
 * The detail view file of finance module of Yidou.
 *
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      liugang <liugang@yidou.biz>
 * @package     finance 
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<?php include '../../common/view/header.html.php';?>
<?php js::set('type', $type);?>
<div class='panel'>
  <div class='panel-heading'>
    <strong><i class="icon-list-ul"></i> <?php echo $lang->finance->detail->$type . ' - '; if(!commonModel::printLink($company->type, 'detail', "id={$company->id}", $company->fullName)) echo $company->fullName;?></strong>
  </div>
  <div class='panel-body'>
    <table class='table table-condensed table-striped table-hover'>
      <tr>
        <th colspan='6'><?php echo sprintf($lang->finance->period, $begin, $end);?></th>
      </tr>
      <tr class='theadStyle'>
        <th><?php echo $lang->finance->serialNo;?></th>
        <th><?php echo $lang->finance->type;?></th>
        <th><?php echo $lang->date->common;?></th>
        <th><?php echo $lang->trade->handlers;?></th>
        <th class='w-100px text-right'><?php echo $lang->batch->money;?></th>
        <th class='w-80px'></th>
      </tr>
      <tr>
        <td></td>
        <td><?php echo $lang->finance->lastPeriodBalance;?></td>
        <td></td>
        <td></td>
        <td class='text-right'><?php echo $balance;?></td>
        <td></td>
      </tr>
      <tr class='theadStyle'>
        <th class='text-right' colspan='4'><?php echo $lang->finance->lastPeriodBalance;?></th>
        <th class='text-right'><?php echo $balance;?></th>
        <th></th>
      </tr>
      <?php $orderMoney = 0; $tradeMoney = 0;?>
      <?php if($batches):?>
      <?php foreach($batches as $batch):?>
      <tr>
        <td><?php if(!commonModel::printLink(str_replace('Refund', '', $batch->orderType), 'detail', "id={$batch->orderID}&status=all", $batch->orderNo)) echo $batch->orderNo;?></td>
        <td><?php echo $lang->finance->order->{$batch->orderType};?></td>
        <td><?php echo formatTime($batch->expressedDate, DT_DATE4);?></td>
        <td><?php echo $batch->expressedBy;?></td>
        <td class='text-right'><?php echo $batch->money;?></td>
        <td class='text-right'>
          <?php commonModel::printLink(str_replace('Refund', '', $batch->orderType), 'detail', "id={$batch->orderID}&status=all", $lang->detail);?>
        </td>
      </tr>
      <?php $orderMoney += $batch->money;?>
      <?php endforeach;?>
      <tr class='theadStyle'>
        <th class='text-right' colspan='4'><?php echo $lang->finance->total->order;?></th>
        <th class='text-right'><?php echo $orderMoney;?></th>
        <th></th>
      </tr>
      <?php endif;?>
      <?php if($trades):?>
      <?php foreach($trades as $trade):?>
      <tr>
        <td><?php echo $trade->id;?></td>
        <td><?php echo $lang->finance->trade->{$trade->type};?></td>
        <td><?php echo formatTime($trade->date, DT_DATE4);?></td>
        <td><?php foreach(explode(',', $trade->handlers) as $handler) echo zget($users, $handler) . ' ';?></td>
        <td class='text-right'><?php echo $trade->money;?></td>
        <td class='text-right'>
          <?php if(commonModel::hasPriv('trade', 'detail')):?>
          <?php echo html::a($this->createLink('trade', 'detail', "id={$trade->id}&type={$type}"), $lang->detail);?>
          <?php endif;?>
        </td>
      </tr>
      <?php $tradeMoney += $trade->money;?>
      <?php endforeach;?>
      <tr class='theadStyle'>
        <th class='text-right' colspan='4'><?php echo $type == 'in' ? $lang->finance->total->tradeIn : $lang->finance->total->tradeOut;?></th>
        <th class='text-right'><?php echo $tradeMoney;?></th>
        <th></th>
      </tr>
      <?php endif;?>
      <tfoot>
        <tr class='text-danger title'>
          <th colspan='6'><?php echo sprintf($lang->finance->total->{$companyType}, $balance, $orderMoney, $tradeMoney, ($balance + $orderMoney - $tradeMoney));?></th>
        </tr>
      </tfoot>
    </table>
  </div>
  <div class='page-actions text-center'>
    <?php echo html::backButton();?>
  </div>
</div>
<?php include '../../common/view/footer.html.php';?>
