$(document).ready(function()
{
    $('#taxRate').on('change', function()
    {
        var $taxRateElement = $(this);
        if(!$.isNumeric($taxRateElement.val())){return;}
        var taxRate = parseFloat($taxRateElement.val());
        $('.untaxedPrice').each(function()
        {
            var $untaxedElement = $(this);
            var $taxedPriceElement = $untaxedElement.parents('tr.batchProductList').find('.taxedPrice');
            if($.isNumeric($taxedPriceElement.text()))
            {
                var taxedPrice = parseFloat($taxedPriceElement.text());
                $untaxedElement.val(formatNumber(taxedPrice /(1 + taxRate), 11));
                $untaxedElement.change();
            }
        })
    })
    $('.batchProductList').each(productWatcher);
    update();
})

function formatNumber(number, length)
{
    var numberLength = parseInt(number).toString().length;
    if(numberLength > length) numberLength = length; 
    return parseFloat(number.toFixed(length - numberLength));
}

function productWatcher()
{
    $element = $(this);
    
    var $money     = $('#money');
    var $taxAmount = $('#taxAmount');

    var $invoicedAmount = $element.find('.invoiced');
    var $untaxedPrice   = $element.find('.untaxedPrice');
    var $untaxedMoney   = $element.find('.untaxedMoney');
    var $tax            = $element.find('.tax');
    var $taxedPrice     = $element.find('.taxedPrice');
    var $taxedMoney     = $element.find('.taxedMoney');
    
    function valueCheck()
    {
        return $.isNumeric($invoicedAmount.val()) && $.isNumeric($untaxedPrice.val()) && $.isNumeric($untaxedMoney.val());
    }


    $invoicedAmount.on('change', function()
    {
        if(!valueCheck()){return;}
        var taxMoney = parseFloat(($invoicedAmount.val() * parseFloat($taxedPrice.text())).toFixed(2));
        $taxedMoney.text(taxMoney);
        $untaxedMoney.val(parseFloat(($invoicedAmount.val() * $untaxedPrice.val()).toFixed(2)));
        $untaxedMoney.change();
    });

    $untaxedPrice.on('change', function()
    {
        if(!valueCheck()){return;}
        var taxMoney = parseFloat($taxedMoney.text()).toFixed(2);
        $untaxedMoney.val(parseFloat(($invoicedAmount.val() * $untaxedPrice.val()).toFixed(2)));
        $untaxedMoney.change();
    })

    $untaxedMoney.on('change', function()
    {
        if(!valueCheck()){return;}
        var taxMoney = parseFloat($taxedMoney.text());
        $tax.val(parseFloat((taxMoney - $untaxedMoney.val()).toFixed(2)));
        update();
    })

    $tax.on('change', function()
    {
        update();
    })
}

function updateTaxedMoney()
{
    var totalTaxedMoney = 0;
    $('.taxedMoney').each(function()
    {
        if($.isNumeric($(this).text()))
        {
            totalTaxedMoney += parseFloat($(this).text());
        }
    });
    $('#taxedMoneyAmount').val(parseFloat(totalTaxedMoney.toFixed(2)));
    $('#taxedMoneyAmount').change();
}

function updateUntaxedMoney()
{
    var totalUntaxedMoney = 0;
    $('.untaxedMoney').each(function()
    {
        if($.isNumeric($(this).val()))
        {
            totalUntaxedMoney += parseFloat($(this).val());
        }
    });
    $('#untaxedMoneyAmount').val(parseFloat(totalUntaxedMoney.toFixed(2)));
    $('#untaxedMoneyAmount').change();
}

function updateTax()
{
    if($.isNumeric($('#taxedMoneyAmount').val()) && $.isNumeric($('#untaxedMoneyAmount').val()))
    {
        $('#taxAmount').val(parseFloat(($('#taxedMoneyAmount').val() - $('#untaxedMoneyAmount').val()).toFixed(2)));
        $('#taxAmount').change();
    }
}

function update()
{
    updateUntaxedMoney();
    updateTaxedMoney()
    updateTax();
}
