<?php 
/**
 * @copyright   Copyright 2014-2015 青岛亿斗网络信息有限公司(QingDao Yidou Network Infomation Co,LTD, www.yidou.com.cn)
 * @license     business(商业软件)
 * @author      yaozeyuan <yaozeyuan@yidou.biz>
 * @package     invoice
 * @version     $Id$
 * @link        http://www.yidou.com.cn
 */
?>
<?php include '../../common/view/header.html.php';?>
<?php include '../../common/view/datepicker.html.php';?>
<div class='col-md-2'>
  <ul class='nav nav-primary nav-stacked'>
    <li class='active'><?php echo html::a($this->inLink('selectCompany', array('type' => $type)), $lang->invoice->$type->uninvoiced);?></li>
    <li><?php echo html::a($this->inLink("browse", array('type' => $type)), $lang->invoice->$type->done);?></li>
    <?php if($type == 'sale'):?>
    <li><?php echo html::a($this->inLink("browse", array('type' => $type)), $lang->invoice->$type->discard);?></li>
    <?php endif;?>
  </ul>
</div>
<div class='col-md-10'>
  <div class='panel'>
    <div class='panel-heading'>
      <strong><i class='icon-plus'></i> <?php echo $lang->invoice->create->common;?></strong>
    </div>
    <div class='panel-body'>
      <form method='post' id='ajaxForm'>
        <table class='table table-borderless table-condensed'>
          <tr>
            <th><?php echo $lang->invoice->create->buyerName;?></th>
            <td colspan='3'>
              <?php echo html::input('buyerName', $buyer->fullName == '' ? $buyer->companyName : $buyer->fullName, "class='form-control'");?>
              <?php echo html::hidden('buyer', $buyer->id, "class='form-control'");?>
            </td>
            <th><?php echo $lang->invoice->create->salerName;?></th>
            <td colspan='3'>
              <?php echo html::input('salerName', $saler->fullName == '' ? $saler->companyName : $saler->fullName, "class='form-control'");?>
              <?php echo html::hidden('saler', $saler->id, "class='form-control'");?>
            </td>
          </tr>
          <tr>
            <th class='w-130px'><?php echo $lang->invoice->taxCode?></th>
            <td><?php echo html::input('taxCode', '', "id='taxCode' class='form-control'")?></td>
            <th class='w-80px'><?php echo $lang->invoice->invoiceNo;?></th>
            <td><?php echo html::input('invoiceNo', '', "class='form-control'");?></td>
            <th class='w-130px'><?php echo $lang->invoice->create->date;?></th>
            <td><?php echo html::input('createdDate', date('Y-m-d'), "class='form-control form-date'");?></td>
            <th class='w-80px'><?php echo $lang->invoice->create->taxRate;?></th>
            <td>
              <div class='required required-wrapper'></div>
              <?php echo html::input('taxRate', $taxRate, "class='form-control'");?>
            </td>
          </tr>
        </table>
        <table class='table table-borderless table-condensed'>
          <?php $i = 0;?>
          <?php $taxAmount   = 0;?>
          <?php $amountMoney = 0;?>
          <tr class='text-center'>
            <th class='w-220px'><?php echo $lang->invoice->productName;?></th>
            <th class='w-100px'><?php echo $lang->invoice->ownerOrder;?></th>
            <th class='w-100px'><?php echo $lang->invoice->expressedDate;?></th>
            <th class='w-60px' ><?php echo $lang->invoice->uninvoicedCount;?></th>
            <th class='w-80px' ><?php echo "{$lang->invoice->price}<br>({$lang->invoice->isTaxed})";?></th>
            <th class='w-100px'><?php echo "{$lang->invoice->price}<br>({$lang->invoice->untaxed})";?></th>
            <th class='w-80px' ><?php echo "{$lang->invoice->money}<br>({$lang->invoice->isTaxed})";?></th>
            <th class='w-100px'><?php echo "{$lang->invoice->money}<br>({$lang->invoice->untaxed})";?></th>
            <th class='w-100px'><?php echo $lang->invoice->tax;?></th>
          </tr>
          <?php foreach($batchProductList as $batchProduct):?>
          <tr class='text-center batchProductList'>
            <?php $product = zget($productList, $batchProduct->product);?>
            <td>
              <?php echo html::input('', empty($product) ? '' : $product->name, "class='form-control' readonly");?>
              <?php echo html::hidden("invoicedProduct[$i]", $batchProduct->id);?>
            </td>
            <td><?php echo $orderList[$batchProduct->order]->orderNo;?></td>
            <td><?php echo $batchProduct->batchInfo->expressedDate;?></td>
            <?php $invoicedAmount = $batchProduct->amount - $batchProduct->invoicedCount;?>
            <td>
              <?php echo html::input("invoicedList[$i]", $invoicedAmount, "id='invoicedList{$i}' class='form-control invoiced'");?>
              <?php echo html::hidden("maxInvoicedList[$i]", $invoicedAmount);?>
            </td>
            <td class='taxedPrice'>
              <?php echo $batchProduct->price;?>
              <?php echo html::hidden("taxedPriceList[$i]", $batchProduct->price);?>
            </td>
            <?php $untaxedPrice = $this->invoice->formatNumber($batchProduct->price / (1 + $taxRate), 11);?>
            <td><?php echo html::input("untaxedPriceList[$i]", $untaxedPrice, "class='form-control untaxedPrice'");?></td>
            <?php $taxedMoney   = round($batchProduct->price * ($invoicedAmount), 2);?>
            <?php $untaxedMoney = round($untaxedPrice * ($invoicedAmount), 2);?>
            <td class='taxedMoney'><?php echo $taxedMoney;?></td>
            <td><?php echo html::input("untaxedMoneyList[$i]", $untaxedMoney, "class='form-control untaxedMoney'");?></td>
            <td><?php echo html::input("taxList[$i]", $taxedMoney - $untaxedMoney, "class='form-control tax'");?></td>
          </tr>
          <?php $amountMoney += $invoicedAmount * $batchProduct->price;?>
          <?php $taxAmount   += ($taxedMoney - $untaxedMoney);?>
          <?php $i++;?>
          <?php endforeach;?>
          <tr>
            <td colspan='9'><?php echo html::textarea('desc', '', "rows='2' class='form-control' placeholder='$lang->desc'");?></td>
          </tr>
        </table>
        <table class='table table-borderless table-condensed'>
          <tr>
            <th><?php echo "{$lang->invoice->moneyAmount}({$lang->invoice->isTaxed})";?></th>
            <td><?php echo html::input('taxedMoneyAmount', $amountMoney, "class='form-control'");?></td>
            <th><?php echo "{$lang->invoice->moneyAmount}({$lang->invoice->untaxed})";?></th>
            <td><?php echo html::input('untaxedMoneyAmount', 0, "class='form-control'");?></td>
            <th><?php echo $lang->invoice->taxAmount;?></th>
            <td><?php echo html::input('taxAmount', $taxAmount, "id='taxAmount' class='form-control'")?></td>
            <?php echo html::hidden('type', $type);?>
          </tr>
          <tr>
            <td></td>        
            <td>
              <?php echo html::submitButton() . html::backButton();?>
            </td>   
          </tr>
        </table>
      </form>
    </div>
  </div>
</div>
<?php include '../../common/view/footer.html.php';?>
