$(document).ready(function() 
{
    setRequiredFields();

    $.setAjaxForm('#ajaxForm');
    $.setAjaxForm('#editForm');
    $.setAjaxDeleter('.deleter');
    $.setReloadDeleter('.reloadDeleter');
    $.setReload('.reload');

    /* Ping for keep login every six minute. */
    if(needPing) setInterval('ping()', 1000 * 360);
    
    /* Load message notify. */
    $('#headNav #msgBox').load(createLink('message', 'notify'), function()
    {
        if($('#headNav #msgBox').find('.label').length > 0) $('#msgBox').removeClass('hide').show();
    });

    /* Set 'go to top' button. */
    setGo2Top();

    /* Slide pictures start.   */
    if($('#slide').length)
    {
        $('#slide').carousel();
        $('#slide .item').first().addClass('active');
        $('#slide .item[data-url]').click(function()
        {
            var url    = $(this).data('url');
            var target = $(this).data('target');
            if(url && url.length) window.open(url, target);
        });
    }

    /* Fixed submenu position for browser which doesn't suppport relative postion in a table cell, like firefox 29. */
    var ua = navigator.userAgent.toLowerCase();
    var ver = (ua.match(/.+(?:rv|it|ra|ie)[\/: ]([\d.]+)/) || [0, '0'])[1];
    if(ua.indexOf('firefox') > -1 && parseFloat(ver) < 30)
    {
        $('#navbar .dropdown > .dropdown-menu').each(function(){$(this).css('left', $(this).closest('.dropdown').position().left - 2);});
    }

    /* Auto ajust block grid width */
    autoBlockGrid();

    /* Remove empty headNav */
    var headNav = $('#headNav');
    if(!headNav.find('nav a').length) headNav.addClass('hide');

    /* Mark the module and method with css class */
    $('body').addClass('m-' + config['currentModule'] + '-' + config['currentMethod']);

    /* set right docker */
    $('#rightDockerBtn').popover({container: 'body', html:true, trigger:'manual'}).mouseenter(function()
    {
        if($('#rightDockerBtn').hasClass('showed')) return;
        $('#rightDocker img[data-src]').each(function()
        {
            var $this = $(this);
            $this.attr('src', $this.data('src')).removeAttr('data-src');
        });
        $(this).addClass('showed').popover('show');
        $("#rightDockerBtn:not('.showed')").popover('hide');
    });
    $(document).click(function(){$('#rightDockerBtn').popover('hide').removeClass('showed');}).on('click', '.popover', function(event){event.stopPropagation();});

    setMenu();
});

$(document).ready(function() 
{
    setRequiredFields();

    /* Enable default ajax options. */
    $.setAjaxLoader('.loadInModal', '#ajaxModal');

    /* Set ping keep online. */
    setInterval('ping()', 1000 * 360);

    /* Enable tooltip */
    $('body').tooltip({html: true,selector: "[data-toggle='tooltip']",container: "body"});

    condensedForm();
    setPageActions();

    /* Reload modal. */
    $(document).on('click', '.reloadModal', function(){$.reloadAjaxModal()});

    //save chosen items in cookie
    $('.export').bind('click', function()
    {
        var checkeds = '';
        $('input:checked').each(function()
        {
            var checkedVal = parseInt($(this).val());
            if(checkedVal != 0) checkeds = checkeds + checkedVal + ',';
        })
        if(checkeds != '') checkeds = checkeds.substring(0, checkeds.length - 1);
        $.cookie('checkedItem', checkeds, {expires:config.cookieLife, path:config.webRoot});
    });
});

/**
 * Set required fields, add star class to them.
 *
 * @access public
 * @return void
 */
function setRequiredFields()
{
    if(!config.requiredFields) return false;
    requiredFields = config.requiredFields.split(',');
    for(i = 0; i < requiredFields.length; i++)
    {
        $('#' + requiredFields[i]).closest('td,th').prepend("<div class='required required-wrapper'></div>");
        var colEle = $('#' + requiredFields[i]).closest('[class*="col-"]');
        if(colEle.parent().hasClass('form-group')) colEle.addClass('required');
    }
}

/**
 * Set menu
 * 
 * @access public
 * @return void
 */
function setMenu()
{
    $menuTitle = $('#menuTitle');
    $menu = $('#menu');
    if($menu.length && $menuTitle.length)
    {
        $menu.children('ul.nav:not(.pull-right)').hide();
        $menu.prepend($menuTitle.addClass('nav'));
    }
}
